libgutenprintui2 API Reference: include/gutenprintui2/curve.h File Reference

libgutenprintui2 API Reference 5.3.3

Data Structures | Macros | Typedefs | Enumerations | Functions
curve.h File Reference
`#include <gdk/gdk.h>`
`#include <gtk/gtkdrawingarea.h>`

## Data Structures
struct | _StpuiCurve
struct | _StpuiCurveClass

## Macros
#define | STPUI_TYPE_CURVE (stpui_curve_get_type ())
#define | STPUI_CURVE(obj) (G_TYPE_CHECK_INSTANCE_CAST ((obj), STPUI_TYPE_CURVE, StpuiCurve))
#define | STPUI_CURVE_CLASS(klass) (G_TYPE_CHECK_CLASS_CAST ((klass), STPUI_TYPE_CURVE, StpuiCurveClass))
#define | STPUI_IS_CURVE(obj) (G_TYPE_CHECK_INSTANCE_TYPE ((obj), STPUI_TYPE_CURVE))
#define | STPUI_IS_CURVE_CLASS(klass) (G_TYPE_CHECK_CLASS_TYPE ((klass), STPUI_TYPE_CURVE))
#define | STPUI_CURVE_GET_CLASS(obj) (G_TYPE_INSTANCE_GET_CLASS ((obj), STPUI_TYPE_CURVE, StpuiCurveClass))

## Typedefs
typedef struct _StpuiCurve | StpuiCurve
typedef struct _StpuiCurveClass | StpuiCurveClass

## Enumerations
enum | StpuiCurveType { STPUI_CURVE_TYPE_LINEAR, STPUI_CURVE_TYPE_SPLINE, STPUI_CURVE_TYPE_FREE }

## Functions
GType | stpui_curve_get_type (void) G_GNUC_CONST
GtkWidget * | stpui_curve_new (void)
void | stpui_curve_reset (StpuiCurve *curve)
void | stpui_curve_set_gamma (StpuiCurve *curve, gfloat gamma_)
void | stpui_curve_set_range (StpuiCurve *curve, gfloat min_x, gfloat max_x, gfloat min_y, gfloat max_y)
void | stpui_curve_get_vector (StpuiCurve *curve, int veclen, gfloat vector[])
void | stpui_curve_set_vector (StpuiCurve *curve, int veclen, const gfloat vector[])
void | stpui_curve_set_curve_type (StpuiCurve *curve, StpuiCurveType type)

## Macro Definition Documentation

## ◆ STPUI_CURVE

#define STPUI_CURVE | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_CAST ((obj), STPUI_TYPE_CURVE, StpuiCurve))

## ◆ STPUI_CURVE_CLASS

#define STPUI_CURVE_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_CAST ((klass), STPUI_TYPE_CURVE, StpuiCurveClass))

## ◆ STPUI_CURVE_GET_CLASS

#define STPUI_CURVE_GET_CLASS | ( |  | obj | ) | (G_TYPE_INSTANCE_GET_CLASS ((obj), STPUI_TYPE_CURVE, StpuiCurveClass))

## ◆ STPUI_IS_CURVE

#define STPUI_IS_CURVE | ( |  | obj | ) | (G_TYPE_CHECK_INSTANCE_TYPE ((obj), STPUI_TYPE_CURVE))

## ◆ STPUI_IS_CURVE_CLASS

#define STPUI_IS_CURVE_CLASS | ( |  | klass | ) | (G_TYPE_CHECK_CLASS_TYPE ((klass), STPUI_TYPE_CURVE))

## ◆ STPUI_TYPE_CURVE

#define STPUI_TYPE_CURVE (stpui_curve_get_type ())

## Typedef Documentation

## ◆ StpuiCurve

typedef struct _StpuiCurve StpuiCurve

## ◆ StpuiCurveClass

typedef struct _StpuiCurveClass StpuiCurveClass

## Enumeration Type Documentation

## ◆ StpuiCurveType

enum StpuiCurveType

Enumerator
STPUI_CURVE_TYPE_LINEAR |
STPUI_CURVE_TYPE_SPLINE |
STPUI_CURVE_TYPE_FREE |

## Function Documentation

## ◆ stpui_curve_get_type()

GType stpui_curve_get_type | ( | void |  | ) |

## ◆ stpui_curve_get_vector()

void stpui_curve_get_vector | ( | StpuiCurve * | curve,
|  | int | veclen,
|  | gfloat | vector[]
| ) |  |

## ◆ stpui_curve_new()

GtkWidget* stpui_curve_new | ( | void |  | ) |

## ◆ stpui_curve_reset()

void stpui_curve_reset | ( | StpuiCurve * | curve | ) |

## ◆ stpui_curve_set_curve_type()

void stpui_curve_set_curve_type | ( | StpuiCurve * | curve,
|  | StpuiCurveType | type
| ) |  |

## ◆ stpui_curve_set_gamma()

void stpui_curve_set_gamma | ( | StpuiCurve * | curve,
|  | gfloat | gamma_
| ) |  |

## ◆ stpui_curve_set_range()

void stpui_curve_set_range | ( | StpuiCurve * | curve,
|  | gfloat | min_x,
|  | gfloat | max_x,
|  | gfloat | min_y,
|  | gfloat | max_y
| ) |  |

## ◆ stpui_curve_set_vector()

void stpui_curve_set_vector | ( | StpuiCurve * | curve,
|  | int | veclen,
|  | const gfloat | vector[]
| ) |  |